
// Exemples

// === Initialisation des WinSockets (32 disponibles) 
// SOCKET_init();
//
// === Ouverture des Sockets des tuners
// SOCKET_open(1,"10.0.0.2",23);
// SOCKET_open(2,"10.0.0.1",23);
//
// === Exemple de Commande
// SOCKET_query(1,"help",2000);
// SOCKET_query(2,"IP?",300);

// ...etc...

// === Fin du programme : Fermeture de tous les Sockets
// SOCKET_close();

				
// Code source des interfaces Scilab

function SOCKET_pause(delay_s)
	my_delay=0;
	u=timer();
	while(my_delay<delay_s) then,
		my_delay=my_delay+timer();
	end;
endfunction

function SOCKET_init()
	disp('Loading : WINSOCKET Toolbox - v0.1 - October 2005');
	fort("socket_init","a",1,"c","out",[1,1],1,"c");
endfunction

function SOCKET_open(id,adress,port)
	fort("socket_open_session",id,1,"i",adress,2,"c",port,3,"i","out",[1,1],1,"i");
endfunction
	
function SOCKET_write(id,commande)
	commande=commande+ascii(10);
	fort("socket_write",id,1,"i",commande,2,"c","out",[1,1],1,"i");
endfunction


function mat=SOCKET_read(id,buffer_size)
	buffer(1:buffer_size)=ascii(0);
	buffer=strcat(buffer);
	mat=fort("socket_read",id,1,"i",buffer_size,2,"i",buffer,3,"c","out",[length(buffer),1],3,"c");
	mat=tokens(mat,[ascii(0),ascii(10),ascii(13)]);
endfunction

function mat=SOCKET_query(id,commande,buffer_size)
	SOCKET_write(id,commande);
	SOCKET_pause(2);
	mat=[];
	mat=SOCKET_read(id,buffer_size);
endfunction

function SOCKET_close()
	fort("socket_close","a",1,"c","out",[1,1],1,"c");
endfunction

